Page MenuHomePhabricator

Document options for repoconfig.yaml (RepoNG)
Closed, ResolvedPublic

Description

There are high level docs about repong in https://translatewiki.net/wiki/Repository_management, but we are missing documentation of the options that can be used in repoconfig.yaml. Mostly copying by example works fine, but the nuances of the different options can be unclear (witnessed today in IRC chat). Another issue is that if some option is not currently used, it is very hard to discover it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 2:59 PM
abi_ triaged this task as Medium priority.Mar 17 2020, 7:08 AM
abi_ added a subscriber: abi_.

Reviewed the repository management documentation, here are some comments,

High level summary > Export

Update the source code repository checkouts for import to the same version as the source code repository checkouts for export, or to the latest version if repository state synchronization is disabled. Repository state synchronization prevents the export scripts from accidentally undoing changes that have been made to the source code repositories after the last import.

This is a little confusing. In the previous line it says if repository state sync is disabled then export will update the source code repository checkouts for import to latest version, then how would it undo changes?

Description of state-directory clarifies this a little,

Path to your read-only checkouts. When updating write checkouts, commits are based on the read-only versions. This way exports do not accidentally changes done since last import from read-only checkouts. Exports commits are automatically rebased on latest master, and it will fail if rebasing automatically is not possible.

repomulti

It is the most versatile command. It takes two arguments:

Usage of superlative feels out of place. Shall we rephrase to This is a versatile command that takes two arguments.

Project properties

'@generator': php ../groups/MediaWiki/repong-generator.php extensions

Should we document @generator under Repository properties?

My latest changes https://translatewiki.net/w/i.php?title=Repository_management&type=revision&diff=9325531&oldid=9325473

Reviewed the repository management documentation, here are some comments,

High level summary > Export

Update the source code repository checkouts for import to the same version as the source code repository checkouts for export, or to the latest version if repository state synchronization is disabled. Repository state synchronization prevents the export scripts from accidentally undoing changes that have been made to the source code repositories after the last import.

This is a little confusing. In the previous line it says if repository state sync is disabled then export will update the source code repository checkouts for import to latest version, then how would it undo changes?

I added a whole new section for repository state synchronization with examples and linked it from the relevant places.

repomulti

It is the most versatile command. It takes two arguments:

Usage of superlative feels out of place. Shall we rephrase to This is a versatile command that takes two arguments.

Changed.

Project properties

'@generator': php ../groups/MediaWiki/repong-generator.php extensions

Should we document @generator under Repository properties?

I do not think so. It is not a property of a repository, rather it is a property of the project (or project's repositories, if we want to be exact, but didn't want to create a new concept just for that).

abi_ added a comment.EditedApr 1 2020, 4:22 AM

Repository state synchronization

  1. Manual changes are not processed using Special:MessageGroupChanges

What are manual changes? This terminology is being used here for the first time. I'm assuming its Upstream of A modies all translation files.

If the rebase fails, translation updates for that repository fail until next export after read-only checkouts are updated.

Do you think this would be easier to understand if we simply state: If the rebase fails, translation updates for that repository fail until read-only checkouts are updated.

Rest of it looks good.

abi_ closed this task as Resolved.Apr 1 2020, 6:50 AM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-Focus-Sprint) board.

Updated changes look good. Marking this task as done.